CVE-2003-1006
CVSS7.2
发布时间 :2004-03-29 00:00:00
修订时间 :2008-09-05 16:35:47
NMCOES    

[原文]Buffer overflow in cd9660.util in Apple Mac OS X 10.0 through 10.3.2 and Apple Mac OS X Server 10.0 through 10.3.2 may allow local users to execute arbitrary code via a long command line parameter.


[CNNVD]MacOSX CD9660.Util探测挂接设备参数本地缓冲区溢出漏洞(CNNVD-200403-114)

        
        Mac OS X是一款使用在Mac机器上的操作系统,基于BSD系统。
        cd9660.util工具由于缺少充分的输入验证,本地攻击者可以利用这个漏洞进行缓冲区溢出攻击,可导致权限提升。
        '/System/Library/Filesystems/cd9660.fs/cd9660.util'可以提交参数对挂接的设备进行探测,如果探测设备参数超长,可导致运行时触发缓冲区溢出,精心构建提交数据可导致权限提升。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:apple:mac_os_x:10.1.5Apple Mac OS X 10.1.5
cpe:/o:apple:mac_os_x:10.3.1Apple Mac OS X 10.3.1
cpe:/o:apple:mac_os_x_server:10.2.1Apple Mac OS X Server 10.2.1
cpe:/o:apple:mac_os_x:10.2Apple Mac OS X 10.2
cpe:/o:apple:mac_os_x_server:10.2.6Apple Mac OS X Server 10.2.6
cpe:/o:apple:mac_os_x:10.2.7Apple Mac OS X 10.2.7
cpe:/o:apple:mac_os_x:10.1.4Apple Mac OS X 10.1.4
cpe:/o:apple:mac_os_x:10.1Apple Mac OS X 10.1
cpe:/o:apple:mac_os_x_server:10.0Apple Mac OS X Server 10.0
cpe:/o:apple:mac_os_x:10.2.5Apple Mac OS X 10.2.5
cpe:/o:apple:mac_os_x_server:10.2Apple Mac OS X Server 10.2
cpe:/o:apple:mac_os_x_server:10.2.4Apple Mac OS X Server 10.2.4
cpe:/o:apple:mac_os_x:10.0.1Apple Mac OS X 10.0.1
cpe:/o:apple:mac_os_x:10.0.4Apple Mac OS X 10.0.4
cpe:/o:apple:mac_os_x_server:10.2.7Apple Mac OS X Server 10.2.7
cpe:/o:apple:mac_os_x:10.2.2Apple Mac OS X 10.2.2
cpe:/o:apple:mac_os_x:10.0Apple Mac OS X 10.0
cpe:/o:apple:mac_os_x:10.2.4Apple Mac OS X 10.2.4
cpe:/o:apple:mac_os_x:10.0.3Apple Mac OS X 10.0.3
cpe:/o:apple:mac_os_x:10.2.3Apple Mac OS X 10.2.3
cpe:/o:apple:mac_os_x:10.1.3Apple Mac OS X 10.1.3
cpe:/o:apple:mac_os_x:10.3.2Apple Mac OS X 10.3.2
cpe:/o:apple:mac_os_x:10.2.8Apple Mac OS X 10.2.8
cpe:/o:apple:mac_os_x:10.2.1Apple Mac OS X 10.2.1
cpe:/o:apple:mac_os_x_server:10.2.8Apple Mac OS X Server 10.2.8
cpe:/o:apple:mac_os_x:10.1.1Apple Mac OS X 10.1.1
cpe:/o:apple:mac_os_x_server:10.3.1Apple Mac OS X Server 10.3.1
cpe:/o:apple:mac_os_x_server:10.2.5Apple Mac OS X Server 10.2.5
cpe:/o:apple:mac_os_x:10.2.6Apple Mac OS X 10.2.6
cpe:/o:apple:mac_os_x_server:10.3.2Apple Mac OS X Server 10.3.2
cpe:/o:apple:mac_os_x:10.0.2Apple Mac OS X 10.0.2
cpe:/o:apple:mac_os_x_server:10.3Apple Mac OS X Server 10.3
cpe:/o:apple:mac_os_x_server:10.2.3Apple Mac OS X Server 10.2.3
cpe:/o:apple:mac_os_x:10.3Apple Mac OS X 10.3
cpe:/o:apple:mac_os_x_server:10.2.2Apple Mac OS X Server 10.2.2
cpe:/o:apple:mac_os_x:10.1.2Apple Mac OS X 10.1.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1006
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1006
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200403-114
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/878526
(VENDOR_ADVISORY)  CERT-VN  VU#878526
http://xforce.iss.net/xforce/xfdb/13995
(VENDOR_ADVISORY)  XF  macos-cd9660-bo(13995)
http://www.securityfocus.com/bid/9228
(VENDOR_ADVISORY)  BID  9228
http://docs.info.apple.com/article.html?artnum=61798
(VENDOR_ADVISORY)  CONFIRM  http://docs.info.apple.com/article.html?artnum=61798
http://www.securityfocus.com/archive/1/348097
(UNKNOWN)  BUGTRAQ  20031219 Re: Buffer overflow/privilege escalation in MacOS X - hfs.util also
http://www.securityfocus.com/archive/1/347707
(UNKNOWN)  BUGTRAQ  20031216 Re: Buffer overflow/privilege escalation in MacOS X
http://www.securityfocus.com/archive/1/347578
(VENDOR_ADVISORY)  BUGTRAQ  20031215 Buffer overflow/privilege escalation in MacOS X

- 漏洞信息

MacOSX CD9660.Util探测挂接设备参数本地缓冲区溢出漏洞
高危 边界条件错误
2004-03-29 00:00:00 2005-10-20 00:00:00
本地  
        
        Mac OS X是一款使用在Mac机器上的操作系统,基于BSD系统。
        cd9660.util工具由于缺少充分的输入验证,本地攻击者可以利用这个漏洞进行缓冲区溢出攻击,可导致权限提升。
        '/System/Library/Filesystems/cd9660.fs/cd9660.util'可以提交参数对挂接的设备进行探测,如果探测设备参数超长,可导致运行时触发缓冲区溢出,精心构建提交数据可导致权限提升。
        

- 公告与补丁

        厂商补丁:
        Apple
        -----
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.apple.com/macosx/

- 漏洞信息 (23442)

MacOSX 10 CD9660.Util Probe For Mounting Argument Local Buffer Overflow Vulnerability (EDBID:23442)
osX dos
2003-12-15 Verified
0 Max
N/A [点击下载]
source: http://www.securityfocus.com/bid/9228/info

The cd9660.util utility has been reported prone to a local buffer overrun vulnerability. Excessive data supplied as an argument for the probe for mounting switch, passed to the cd9660.util utility will overrun the bounds of a reserved buffer in memory. Because memory adjacent to this buffer has been reported to contain saved values that are crucial to controlling execution flow, a local attacker may potentially influence cd9660.util execution flow into attacker-supplied instructions.

./cd9660.util -p `perl -e "print 'A'x512"` 		

- 漏洞信息

3043
Apple Mac OS X cd9660.util Buffer Overflow
Local Access Required Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

A local overflow exists in Mac OS X. The cd9660.util fails to properly validate input submitted with the mount ("-p") parameter resulting in a buffer overflow. With a specially crafted request, an attacker can cause execution of arbitrary code with root privileges resulting in a loss of integrity.

- 时间线

2003-12-15 2003-12-15
2003-12-15 Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Apple has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

MacOSX CD9660.Util Probe For Mounting Argument Local Buffer Overflow Vulnerability
Boundary Condition Error 9228
No Yes
2003-12-15 12:00:00 2009-07-12 12:56:00
Discovery of this vulnerability has been credited to Max <rusmir@tula.net>; the issue was also independently discovered by KF <dotslash@snosoft.com>.

- 受影响的程序版本

Apple Mac OS X Server 10.3.2
Apple Mac OS X Server 10.3.1
Apple Mac OS X Server 10.3
Apple Mac OS X Server 10.2.8
Apple Mac OS X Server 10.2.7
Apple Mac OS X Server 10.2.6
Apple Mac OS X Server 10.2.5
Apple Mac OS X Server 10.2.4
Apple Mac OS X Server 10.2.3
Apple Mac OS X Server 10.2.2
Apple Mac OS X Server 10.2.1
Apple Mac OS X Server 10.2
Apple Mac OS X Server 10.0
Apple Mac OS X 10.3.2
Apple Mac OS X 10.3.1
Apple Mac OS X 10.3
Apple Mac OS X 10.2.8
Apple Mac OS X 10.2.7
Apple Mac OS X 10.2.6
Apple Mac OS X 10.2.5
Apple Mac OS X 10.2.4
Apple Mac OS X 10.2.3
Apple Mac OS X 10.2.2
Apple Mac OS X 10.2.1
Apple Mac OS X 10.2
Apple Mac OS X 10.1.5
Apple Mac OS X 10.1.4
Apple Mac OS X 10.1.3
Apple Mac OS X 10.1.2
Apple Mac OS X 10.1.1
Apple Mac OS X 10.1
Apple Mac OS X 10.1
Apple Mac OS X 10.0.4
Apple Mac OS X 10.0.3
Apple Mac OS X 10.0.2
Apple Mac OS X 10.0.1
Apple Mac OS X 10.0

- 漏洞讨论

The cd9660.util utility has been reported prone to a local buffer overrun vulnerability. Excessive data supplied as an argument for the probe for mounting switch, passed to the cd9660.util utility will overrun the bounds of a reserved buffer in memory. Because memory adjacent to this buffer has been reported to contain saved values that are crucial to controlling execution flow, a local attacker may potentially influence cd9660.util execution flow into attacker-supplied instructions.

- 漏洞利用

The following proof of concept has been provided:

./cd9660.util -p `perl -e "print 'A'x512"`

- 解决方案

Apple has released advisories to fix this issue in Apple Jaguar for Mac OS X 10.2.8 and Mac OS X Server 10.2.8 and Panther for Mac OS X 10.3.2 and Mac OS X Server 10.3.2. Please see referenced advisories for more details about obtaining fixes.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站